package cn.com.countrygarden.bi.main.dto.advise;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;
import java.util.List;
/**
 * 建言查看-view类
 * @author 木木子
 *
 */
public class AfAdviseFeedbackOneVO {
	/**
	 * 建议id
	 */
	private Integer id;
	/**
	 * 建言类型id
	 */
	private Integer adviseTypeId;
	/**
	 * 建言类型名称
	 */
	private String adviseTypeName;
	/**
	 * 建言标题
	 */
	private String title;
	/**
	 * 建言内容
	 */
	private String content;
	  /**
     * 状态(0保存1发布2进行中)
     */
    private Integer state;
	/**
	 * 状态value值
	 */
	private String stateStr;
	/**
	 * 建言创建人
	 */
	private String createBy;

	/**
	 * 上报区域编号
	 */
	private String organCode;
	/**
	 * 上报区域名称
	 */
	private String organName;


	/**
	 * 上报时间
	 */
	@JsonFormat(pattern="yyyy/MM/dd HH:mm:ss",timezone = "GMT+8")
	private Date reportTime;
	/**
	 * 分配的建言类型标识
	 */

	private Integer distributionAdviseTypeId;
	/**
	 * 是否显示撤回发布按钮（true:显示，false:不）
	 */
	private Boolean isPublish;

	/**
	 * 是否显示撤回按钮（true:显示，false:不）
	 */
	private Boolean isRecall;
	/**
	 * 是否私密(0:否，1：是)
	 */
	private Integer isPrivate;
	/**
	 * 分支关联
	 */
	private  String branchTypeCode;

	private List<AfAdviseProcessOneVO> adviseProcessOneVOList;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getAdviseTypeId() {
		return adviseTypeId;
	}

	public void setAdviseTypeId(Integer adviseTypeId) {
		this.adviseTypeId = adviseTypeId;
	}

	public String getAdviseTypeName() {
		return adviseTypeName;
	}

	public void setAdviseTypeName(String adviseTypeName) {
		this.adviseTypeName = adviseTypeName;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public Integer getState() {
		return state;
	}

	public void setState(Integer state) {
		this.state = state;
	}

	public String getStateStr() {
		return stateStr;
	}

	public void setStateStr(String stateStr) {
		this.stateStr = stateStr;
	}

	public String getCreateBy() {
		return createBy;
	}

	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}

	public String getOrganName() {
		return organName;
	}

	public void setOrganName(String organName) {
		this.organName = organName;
	}

	public Date getReportTime() {
		return reportTime;
	}

	public void setReportTime(Date reportTime) {
		this.reportTime = reportTime;
	}

	public Boolean getPublish() {
		return isPublish;
	}

	public void setPublish(Boolean publish) {
		isPublish = publish;
	}

	public Boolean getRecall() {
		return isRecall;
	}

	public void setRecall(Boolean recall) {
		isRecall = recall;
	}

	public String getBranchTypeCode() {
		return branchTypeCode;
	}

	public void setBranchTypeCode(String branchTypeCode) {
		this.branchTypeCode = branchTypeCode;
	}

	public List<AfAdviseProcessOneVO> getAdviseProcessOneVOList() {
		return adviseProcessOneVOList;
	}

	public void setAdviseProcessOneVOList(List<AfAdviseProcessOneVO> adviseProcessOneVOList) {
		this.adviseProcessOneVOList = adviseProcessOneVOList;
	}

	public Integer getIsPrivate() {
		return isPrivate;
	}

	public void setIsPrivate(Integer isPrivate) {
		this.isPrivate = isPrivate;
	}

	public String getOrganCode() {
		return organCode;
	}

	public void setOrganCode(String organCode) {
		this.organCode = organCode;
	}

	public Integer getDistributionAdviseTypeId() {
		return distributionAdviseTypeId;
	}

	public void setDistributionAdviseTypeId(Integer distributionAdviseTypeId) {
		this.distributionAdviseTypeId = distributionAdviseTypeId;
	}
}
